<?php
// START NEWSLATTER SECTION 
$section ='newslatter_section';
$wp_customize->add_section($section,array('title' => __( 'Newsletter Section', 'luzuk-premium' ),'panel' => 'luzuk_premium_home_panel',));
    //ENABLE/DISABLE NEWSLATTER SECTION
$wp_customize->add_setting('newslatter_section_disable',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'off'));
$wp_customize->add_control(
	new luzuk_Switch_Control($wp_customize,'newslatter_section_disable',
		array(
			'settings'=> 'newslatter_section_disable',
			'section'=> $section,
			'label'=> __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label' => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)
		)
	)
);
backgroundManager($wp_customize, 'newslatterfooter', 'newslatter_section', $color='#fff', get_template_directory_uri().'/images/footernews.jpg', 'color');

$wp_customize->add_setting('newslatter_title_subtitle_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize,'newslatter_title_subtitle_heading',
		array(
			'settings'=> 'newslatter_title_subtitle_heading',
			'section'=> 'newslatter_section',
			'label'=> __( 'Section Title', 'luzuk-premium')
		)
	)
);
$wp_customize->add_setting('lz_newslatter_title',array('sanitize_callback' => 'luzuk_sanitize_text','default'=> __( '<span>SUBSCRIBE TO OUR </span>NEWSLETTER ', 'luzuk-premium' )));
$wp_customize->add_control('lz_newslatter_title',
	array(
		'settings'=> 'lz_newslatter_title',
		'section'=> 'newslatter_section',
		'type'=> 'text','label'=> __( 'Title', 'luzuk-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'newslatter_HeadingColor', 'newslatter_section', 'Heading color', '#D79800');

// Heading color
addColorPalatOption($wp_customize, 'newslatter_HeadingtextColor', 'newslatter_section', 'Heading Normal Text color', '#fff');


$wp_customize->add_setting('lz_newslatter_subtitle',array('sanitize_callback' => 'luzuk_sanitize_text','default'=> __( 'Sign up for your monthly pramotion and get out latest product news!', 'luzuk-premium' )));
$wp_customize->add_control('lz_newslatter_subtitle',
	array(
		'settings'=> 'lz_newslatter_subtitle',
		'section'=> 'newslatter_section',
		'type'=> 'textarea','label'=> __( 'Sub Title', 'luzuk-premium' )
	)
);

// subHeading color
addColorPalatOption($wp_customize, 'newslatter_subHeadingColor', 'newslatter_section', 'Subheading color', '#fff');

$wp_customize->add_setting('newslatter_form_lbl',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'newslatter_form_lbl',
		array(
			'settings'      => 'newslatter_form_lbl',
			'section'       => 'newslatter_section',
			'label'         => __( 'Add Newsletter shortcode', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting('lz_newslatter_shortcode',array('sanitize_callback' => 'luzuk_sanitize_text','default'=> __( 'Add your form shortcode here', 'luzuk-premium' )));
$wp_customize->add_control(
	'lz_newslatter_shortcode',
	array(
		'settings'      => 'lz_newslatter_shortcode',
		'section'       => 'newslatter_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);

// Form input icon color
addColorPalatOption($wp_customize, 'newslatter_iptexticonColor', 'newslatter_section', ' Form Input icon color', '#818181');

// Form input text / placeholder color
addColorPalatOption($wp_customize, 'newslatter_iptextColor', 'newslatter_section', ' Form Input text / placeholder color', '#818181');

// Form input border color
addColorPalatOption($wp_customize, 'newslatter_ipborderColor', 'newslatter_section', ' Form Input border color', '#fff');

// Form input border color
addColorPalatOption($wp_customize, 'newslatter_ipbgColor', 'newslatter_section', ' Form Input background color', '#fff');

// Form btn text color
addColorPalatOption($wp_customize, 'newslatter_btntextColor', 'newslatter_section', ' Form button text color', '#fff');

// Form btn bg color
addColorPalatOption($wp_customize, 'newslatter_btnbgColor', 'newslatter_section', ' Form button background color', '#D79800');

// Form btn text hover color
addColorPalatOption($wp_customize, 'newslatter_btntexthoverColor', 'newslatter_section', ' Form button text hover color', '#D79800');

// Form btn bg hover  color
addColorPalatOption($wp_customize, 'newslatter_btnbghoverColor', 'newslatter_section', ' Form button background hover color', '#2a2a2a');

// Form label color
addColorPalatOption($wp_customize, 'newslatter_formlabelColor', 'newslatter_section', ' Form label color', '#fff');

// Form text color
addColorPalatOption($wp_customize, 'newslatter_formtextColor', 'newslatter_section', ' Form text color', '#fff');

// border color
addColorPalatOption($wp_customize, 'newslatter_boxborderColor', 'newslatter_section', ' Box border color', '#464646');
// EDN NEWSLATTER SECTION 
